package com.ssj.bean.weixin.problem.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "ydz_artice_matter_solution")
public class ArticeMatterSolution extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String matterId;//问题ID
	private String solution;//答案
	private Integer type;//是否正确答案1.是2.否
	private String grWorth;//GR值
	private Integer sequence;//排序
	private Date createTime;//创建时间
	public String getMatterId() {
		return matterId;
	}
	public void setMatterId(String matterId) {
		this.matterId = matterId;
	}
	public String getSolution() {
		return solution;
	}
	public void setSolution(String solution) {
		this.solution = solution;
	}
	public String getGrWorth() {
		return grWorth;
	}
	public void setGrWorth(String grWorth) {
		this.grWorth = grWorth;
	}
	
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getSequence() {
		return sequence;
	}
	public void setSequence(Integer sequence) {
		this.sequence = sequence;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	

}
